using System;
using NinjaTrader.Cbi;
using NinjaTrader.NinjaScript;

internal sealed class Delegate458 : MulticastDelegate
{
	public extern AtmStrategy Invoke(AtmStrategy atmStrategy_0, Order order_0);

	public static AtmStrategy smethod_0(AtmStrategy atmStrategy_0, Order order_0, Delegate458 delegate458_1)
	{
		return delegate458_1(atmStrategy_0, order_0);
	}

	public extern Delegate458(object object_0, IntPtr intptr_0);

	static Delegate458()
	{
		Class10.smethod_13(typeof(Delegate458).TypeHandle);
	}

	internal static Delegate458 delegate458_0;
}
